<template>
  <div class="row">
    <div class="group-navigation-button">
      <navigation-button
        v-if="isOn&&isFirstSirenAdded===true&&$route.path!=='/sirens'"
        text="Gérer les entreprises"
        route-path="/sirens"
        icon-direction="left"
      />
      <navigation-button
        v-if="isOn&&$route.path!=='/fichiers-dsn'"
        :disabled="isFirstSirenAdded===false"
        text="Ajouter un fichier DSN"
        route-path="/fichiers-dsn"
        icon-direction="right"
      />
      <navigation-button-inverse
        v-if="isOn===false&&user.canAccessData && !isManager"
        text="Accéder au tableau de bord"
        route-path="/tableau-de-bord"
        icon-direction="right"
      />
    </div>
  </div>
</template>

<script>
import {mapGetters} from "vuex";
import NavigationButton from "./NavigationButton";
import NavigationButtonInverse from "./NavigationButtonInverse";

export default {
  name: 'GroupNavigationButton',
  components: {NavigationButtonInverse, NavigationButton},
  computed: {
    ...mapGetters([
      'isOn',
      'isFirstSirenAdded',
      'user',
      'isManager'
    ])
  }
}
</script>

<style scoped>
  .group-navigation-button {
    padding-top: 5px;
    display: flex;
    flex-direction: row;
  }
</style>